Package org.sunflow.core

# Interface AccelerationStructure

All Known Implementing Classes:
  `BoundingIntervalHierarchy`, `KDTree`, `NullAccelerator`, `UniformGrid`

public interface AccelerationStructure

## Method Summary

Modifier and Type
Method
Description
`void`
`build(PrimitiveList primitives)`
Construct an acceleration structure for the specified primitive list.
`void`
`intersect(Ray r, IntersectionState istate)`
Intersect the specified ray with the geometry in local space.

## Method Details

### build

void build(PrimitiveList primitives)
Construct an acceleration structure for the specified primitive list.

Parameters:
  `primitives` -

### intersect

void intersect(Ray r, IntersectionState istate)
Intersect the specified ray with the geometry in local space. The ray will be provided in local space.

Parameters:
  `r` - ray in local space
  `istate` - state to store the intersection into